#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x96,0x9F,0xC3,0xA2,0x5A,0x46,0x83,0x37,0x8E,0xC3,0x09,0x50,
		0xEC,0x4D,0xCE,0x49,0xC9,0x83,0x73,0x77,0x7D,0x86,0x58,0x70,
		0x82,0x64,0x9F,0xB4,0x51,0x0A,0x77,0x8D,0x9B,0x32,0x0A,0xF7,
		0xD6,0x98,0x73,0xAF,0x49,0xE6,0x14,0x44,0x08,0xEB,0xA9,0xCF,
		0xF6,0x7B,0x9D,0x74,0x09,0xD7,0x27,0xE9,0x5F,0x14,0x8D,0x88,
		0x33,0xAB,0x37,0x1B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
